//+-------------------------------------------------------------------------+
//|ZigZag                                  |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for ZigZag"                                   |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtIndicator -   ,                |
//|                                                |
//|           0 - Zigzag  , ,               |
//|                                                         |
//|           1 - Zigzag ,                                            |
//|           2 -     Ensign                   |
//|           3 - ZigZag Ensign    minBars              |
//|           4 - ZigZag,  tauber                                 |
//|           5 -                                 |
//|           6 - DT-ZigZag   ZigZag_new_nen3.mq4.        |
//|                ZigZag                                        |
//|           7 - DT-ZigZag   DT_ZZ.mq4 ( klot)           |
//|           8 - DT-ZigZag   CZigZag.mq4 ( Candid)       |
//|          10 - DT-ZigZag   Swing_zz -  ExtIndicator=5         |
//|                 DT                                               |
//|          11 -    Gartley      |
//|               ZigZag                                                    |
//|          12 - ZigZag,  Talex                                  |
//|          13 - SQZZ ,                           |
//|          14 - ZZ_2L_nen,  wellx (  - nen)    |
//|                                                                         |
//|ParametresZZforDMLEWA -                             |
//|             minBars - ExtBackstep                                       |
//|               ExtIndicator=0  ExtIndicator=6,                |
//|                DML&EWA                              |
//|                                                                         |
//|          1 - minBars=5   ExtBackstep=8                                  |
//|          2 - minBars=8   ExtBackstep=13                                 |
//|          3 - minBars=13  ExtBackstep=21                                 |
//|          4 - minBars=21  ExtBackstep=34                                 |
//|          5 - minBars=34  ExtBackstep=55                                 |
//|          6 - minBars=55  ExtBackstep=89                                 |
//|          7 - minBars=89  ExtBackstep=144                                |
//|          8 - minBars=144 ExtBackstep=233                                |
//|                                                                         |
//|          0 -                                 |
//|              minBars - ExtBackstep                                      |
//|                                                                         |
//|minBars -   (  )                     |
//|minSize -     (  )     |
//|                                                                         |
//|ExtBackstep -    ZigZag  MT4                       |
//|noBackstep -     ExtBackstep        |
//|                                              |
//| ExtIndicator=0, ExtIndicator=6  ExtIndicator=11                        |
//|                                                                         |
//|RecoverFiltr -    ,         |
//|                ExtBackstep.                                   |
//|                                                                         |
//|GrossPeriod -  ,    ( ),   |
//|       ZigZag   DT-ZigZag      |
//|                                                                         |
//|minPercent -   ( ,  0.5)          |
//|                -                    |
//|              minSize=0                                            |
//|                                                                         |
//|ExtPoint=11 -        Talex               |
//|                                                                         |
//|StLevel -    (wellx)                                 |
//|BigLevel -    (wellx)                                |
//|auto -     StLevel  BigLevel        |
//|minBar -  %   StLevel                                  |
//|maxBar -  %   BigLevel                                 |
//|                                                                         |
//|                                                                         |
//|ExtStyleZZ - = true -    ZigZag         |
//|             = false - Zigzag                |
//|                                                                         |
//|ExtMaxBar -   ,           |
//|            0 -                        |
//|ExtMinBar -    ,       |
//|                                                                   |
//|                                                                         |
//|ExtNumberPeak -    ZigZag   1          |
//|ExtNumberPeak10 -       10    |
//|ExtNumberPeakLow -     Low   High  Low             |
//|ExtNumberPeakColor -                                            |
//|ExtNumberPeakFontSize -                                       |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for fibo Levels"                              |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtFiboDinamic -     .               |
//|                              |
//|                 ZigZag-a.                                               |
//|                                                                         |
//|ExtFiboStatic -                      |
//|                                                                         |
//|ExtFiboStaticNum -   ZigZag-a,          |
//|                     . 1<ExtFiboStaticNum<=9   |
//|                                                                         |
//|ExtFiboCorrectionExpansion = false -                   |
//|                           = true  -                  |
//|                                                                         |
//|ExtFiboD  ExtFiboS -      .        |
//|                                                                         |
//|ExtFiboStyle -                         |
//|                                                                         |
//|ExtFiboWidth -                       |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for Pesavento Patterns"                       |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtPPWithBars - ,               |
//|                                                        |
//|                                                                         |
//|             0 -         |
//|                                                                         |
//|             1 -     ,     |
//|                 "" ( )                    |
//|                                                                         |
//|             2 -               |
//|                   ,            |
//|                 "" ( )                      |
//|                                                                         |
//|             3 -                |
//|                 .        |
//|                             |
//|                                       |
//|                                                                         |
//|             4 -   ,          |
//|                              |
//|                                                      |
//|                                                                         |
//|             7 -           |
//|                       |
//|                  .         |
//|                    .                |
//|                                                                         |
//|             8 -           |
//|                                                                         |
//|             9 -                     |
//|                                                              |
//|                                                                         |
//|            10 -     ,      |
//|                                                                         |
//|ExtHidden - 0 -      .                |
//|            1 -     ,         |
//|                 >0.14  <5.                                   |
//|            2 -     ,                |
//|                   ( 0.447, 0.886, 2.236, 3,14,     |
//|                3,618    Gartley)                  |
//|            3 -  ,    2               |
//|                                                    |
//|            4 -           |
//|            5 -   .   ZigZag            |
//|                   Gartley                                |
//|                                                                         |
//|ExtFractal -   (, ),             |
//|                                     |
//|                                                                         |
//|ExtFractalEnd -  ,                 |
//|                             |
//|                 ExtFractalEnd=0            |
//|                  .                         |
//|                  ExtFractalEnd=1                     |
//|                                                                         |
//|ExtFiboChoice -       .   |
//|                    0  11                     |
//|                                                                         |
//|ExtFiboZigZag -   "ZiaZag Fibonacci"                       |
//|                                                                         |
//|ExtDelta - .            |
//|                 ,         |
//|                .         |
//|             .   0<ExtDelta<1      |
//|                                                                         |
//|ExtDeltaType -    0 -    " "       |
//|                         2                 |
//|                  1 -   (%- )<ExtDelta        |
//|                  2 - ((%- )/ )<ExtDelta     |
//|                  3 -    " "       |
//|                         3                 |
//|                                                                         |
//|ExtSizeTxt -                                   |
//|                                                                         |
//|ExtLine -                                   |
//|                                                                         |
//|ExtLine886 -               |
//|                                                                         |
//|ExtNotFibo -                                 |
//|                                                                         |
//|ExtPesavento -                                   |
//|                                                                         |
//|ExtGartley886 -    .886              |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for Gartley Patterns"                         |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|AlgorithmSearchPatterns -            |
//|               ExtIndicator=11                   |
//|           = 0 -   ExtIndicator=0 -    |
//|             124  ZUP   ExtIndicator=11         |
//|           = 1 -   ExtIndicator=1 -    |
//|                                               |
//|           = 2 -   ExtIndicator=1 -    |
//|                                             |
//|           = 3 -   ExtIndicator=2                  |
//|           = 4 -   ExtIndicator=4                  |
//|           = 5 -   ExtIndicator=5                  |
//|           = 6 -   ExtIndicator=12                 |
//|                                                                         |
//|PotencialsLevels_retXD -     XD          |
//|             .                      |
//|             ExtIndicator=11  ,        |
//|                   C     |
//|           = 0 -                        |
//|           = 1 -         |
//|            ExtGartleyOnOff=true                                      |
//|           = 2 -   .       |
//|                                                           |
//|                                                                         |
//|visibleLevelsABCD -                  |
//|             D       |
//|           0 -    .                    |
//|           1 -        BD   |
//|           2 -        AB=CD     |
//|           3 -     BD   AB=CD|
//|                                                                         |
//|maxDepth -   Depth (minBars),         |
//|             Depth       |
//|              Gartley                                  |
//|             AlgorithmSearchPatterns=0                     |
//|minDepth -    Depth           |
//|           Gartley.                                                      |
//|                                                                         |
//|FiboStep -          |
//|           Backstep   Backstep=Depth*1.618                      |
//|IterationStepDepth -     Depth      |
//|                 Gartley.                                       |
//|                                                                         |
//|maxSize_  -      .                |
//|                       |
//|            AlgorithmSearchPatterns=1                                    |
//|            AlgorithmSearchPatterns=3                                    |
//|            AlgorithmSearchPatterns=4                                    |
//|            AlgorithmSearchPatterns=6                                    |
//|minSize_  -      .                 |
//|                                                                         |
//|IterationStepSize -     Size        |
//|                 Gartley.                                       |
//|                                                                         |
//|maxPercent_ -         |
//|                       |
//|            AlgorithmSearchPatterns=2                                    |
//|minPercent_ -          |
//|                                                                         |
//|IterationStepPercent -  ()    Percent |
//|                                                                         |
//|DirectionOfSearchMaxMin -   :                     |
//|           false -  minDepth  maxDepth                                |
//|           true -  maxDepth  minDepth                                 |
//|                                                                         |
//|SelectPattern -   5                |
//|           ""  "" ".                             |
//|                                                                         |
//|           0 -                                         |
//|           1 -     - Gartle, Butterfly,  |
//|               Bat, Crab,  TOTAL                                    |
//|           2 -     ,          |
//|                TOTAL                                               |
//|           3 -      ,|
//|                TOTAL                                               |
//|           4 -   ,  TOTAL                   |
//|           5 -   ,  TOTAL                         |
//|           6 -   TOTAL                                        |
//|           7 -            |
//|                  visiblePattern                        |
//|           8 -                         |
//|                                                                         |
//|visiblePattern - ,   .                          |
//|                    .               |
//|                                                                         |
//|NumberPattern -  ,              |
//|                   InfoTF                 |
//|           0 -                      |
//|               ExtIndicator=0                                            |
//|                                                                         |
//|                                                                         |
//|ExtGartleyTypeSearch -                               |
//|           0 -           |
//|           1 -     ,                |
//|                maxBarToD.            |
//|                                                         |
//|           2 -     ,                |
//|                maxBarToD.       |
//|                                                                         |
//|ExtHiddenPP -     ExtIndicator==11             |
//|           0 -   .                 |
//|                .    .          |
//|           1 -    ,       |
//|                NumberPattern.       |
//|                .                                          |
//|           2 -   .                 |
//|                .           |
//|                  Gartley                              |
//|                                                                         |
//|ExtGartleyOnOff -    Gartley.    .|
//|                                                                         |
//|maxBarToD -                   |
//|              D                                           |
//|                                                                         |
//|patternInfluence - 0 -  ,         |
//|                       D   maxBarToD            |
//|                   1 -                  |
//|                      maxBarToD               |
//|                   2 -         |
//|                                                                  |
//|                                                                         |
//|patternTrue = true -  ,  :        |
//|           D          |
//|       ,          |
//|       D;                                               |
//|           D             |
//|       ,            |
//|       D.                                               |
//|                                                                         |
//|                                                                         |
//|AllowedBandPatternInfluence -                |
//|                      X  D .          |
//|                        D            |
//|                   ,              |
//|                                                            |
//|                                                                         |
//|RangeForPointD -      D                   |
//|                                                                         |
//|OldNewRangeForPointD -       D   |
//|                                                                 |
//|                                                                         |
//|ExtColorRangeForPointD -      D                |
//|                                                                         |
//|VectorOfAMirrorTrend  = 2                |
//|                                                                         |
//|shortNamePatterns -           |
//|                                                                         |
//|visibleLineOrTriangl -          |
//|            ,   AB=CD                         |
//|PatternLineStyle -       ABCD      |
//|PatternLineWidth -       ABCD    |
//|ExtColorPatterns -                                          |
//|ExtColorPatternList -              |
//|                       Gartley.        |
//|                       .               |
//|                        ,        |
//|                                                              |
//|                                                                         |
//|ExtDeltaGartley -                |
//|                    9% - 0.09                                 |
//|                                                                         |
//|levelD -       XD       |
//|                             |
//|                                                                         |
//|colorLevelD -     XD                        |
//|                                                                         |
//|Equilibrium -    Equilibrium, Reaction1  Reaction2    |
//|ReactionType -                                      |
//|EquilibriumStyle -                                       |
//|EquilibriumWidth -                                     |
//|ColorEquilibrium -    Equilibrium                           |
//|ColorReaction -    Reaction1  Reaction2                    |
//|                                                                         |
//|Ext_3Drives -    3 Drives                          |
//|Ext_xO -     7-  3 Drives     |
//|                                                                         |
//|Dragon -    Dragon                                 |
//|PeakZZDragon -    ,                |
//|                  Dragon                        |
//|                                                                         |
//|Ext_4PointPattern -   4-      |
//|_maxXB -     XB                     |
//|      : http://kanetrading.com/            |
//|                                                                         |
//|ABCD -    AB=CD                                   |
//|      0 -  AB=CD                                      |
//|      1 -   AB=CD                                          |
//|      2 -    AB=CD,                    |
//|                         |
//|searchABCDAlternate -     AB=CD     |
//|ABCDAlternate -     ABCD.      |
//|                    X       |
//|                X*AB=CD                                           |
//|visibleABCDrayZZ -    ABCD              |
//|                                                                         |
//|Ext_noname -     ,        |
//|                  - ""        |
//|                                                                         |
//|CustomPattern -          |
//|0 -                                    |
//|1 -                                     |
//|2 -                                |
//|NameCustomPattern -                     |
//|minXB -     XB                       |
//|maxXB -     XB                      |
//|minAC -     AC                       |
//|maxAC -     AC                      |
//|minBD -     BD                       |
//|maxBD -     BD                      |
//|minXD -     XD                       |
//|maxXD -   Equilibrium  XD           |
//|                       |
//|                                                                         |
//|filtrEquilibrium -     ,     |
//|         X  B .   ,         |
//|        ,          C |
//|            D.                                      |
//|                    |
//|        noname.                                                          |
//|                                                                         |
//|readFromFileListPatterns -             |
//|       \\ZUP\ListPatterns\listpatterns.csv                               |
//|       0 -                          |
//|       1 -            |
//|           ,                        |
//|       2 -    ZUP                |
//|               .            |
//|              .                        |
//|                                                                         |
//|NameFileListPatterns -   .csv       |
//|                                                |
//|                                                                         |
//|writeToFileListPatterns -     :|
//|       1)  readFromFileListPatterns=0                                |
//|           : \\ZUP\ListPatterns\listpatternsdefault.csv             |
//|       2)  readFromFileListPatterns=1                                |
//|           : \\ZUP\ListPatterns\listpatternscustom.csv              |
//|       3)  readFromFileListPatterns=2                                |
//|           : \\ZUP\ListPatterns\listpatternsmixt.csv                |
//|                                                                         |
//|picture -                    |
//|                                                                         |
//|writeInfoPatternsToFileXML -     .XML       |
//|                                            |
//|       0 -                                   |
//|       1 -                      |
//|       2 -                 |
//|                                                                         |
//|writeInfoPatternsToFileCSV -     .CSV       |
//|                                            |
//|       0 -                                   |
//|       1 -                      |
//|       2 -                 |
//|                                                                         |
//|namefileSymbolPeriod = true -           |
//|             Symbol()+"_"+Period()+"_Patterns |
//|                                                                         |
//|InfoPointD -      D         |
//|                                                                  |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for Andrews Pitchfork"                        |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtPitchforkDinamic > 0 (=1)           |
//|                ZigZag                           |
//|             =2 50%                                               |
//|             =3 50%                                                  |
//|             =4                                                |
//|                                                                         |
//|AutoAPDinamicTestRedZone = true -                  |
//|                                 |
//|                                               |
//|                                                                         |
//|ExtPitchforkDinamicCustom -             |
//|                ExtPitchforkDinamic=3                  |
//|                                                                         |
//|ExtLinePitchforkD                               |
//|                                                                         |
//|ExtPitchforkStatic > 0 (=1)             |
//|              ZigZag   ExtPitchforkStaticNum           |
//|             =2 50%                                               |
//|             =3 50%                                                  |
//|             =4                                                |
//|                                                                         |
//|3=<ExtPitchforkStaticNum<=9 -   ZigZag,             |
//|                                                |
//|                                                                         |
//|ExtPitchforktaticCustom -               |
//|                ExtPitchforkStatic=3                    |
//|                                                                         |
//|ExtLinePitchforkS -                              |
//|                                                                         |
//|ExtMasterPitchfork -   ,             |
//|                                            |
//|  0 -    ZUP                                |
//|  1 -                                             |
//|  2 -                                              |
//|                                                                         |
//|ExtPitchforkStaticColor -          |
//|                                                                         |
//|ExtPitchforkStyle -    .                             |
//|             0 -                                            |
//|             1 -                                           |
//|             2 -                                          |
//|             3 - -                                   |
//|             4 - -                   |
//|                                                                         |
//|ExtPitchforkWidth -                                |
//|                                                                         |
//|------------------------     -  RL  -------------------------|
//|                                                                         |
//|ExtRLDinamic -    RL        |
//|ExtRLStyleDinamic -   RL             |
//|ExtVisibleRLDinamic -             |
//|                                   |
//|                                                                         |
//|ExtRLStatic -                |
//|ExtRLStyleStatic -    RL        |
//|ExtVisibleRLStatic -              |
//|                                    |
//|                                                                         |
//|ExtRL146 -   RL 14.6  RL 23.6                      |
//|                                                                         |
//|ExtRLineBase -                           |
//|                                                                         |
//|--------------------   - RedZone -----------------------------|
//|                                                                         |
//|ExtRedZoneDinamic -   RedZone             |
//|ExtRedZoneStatic -   RedZone               |
//|                   0 - RedZone                                  |
//|                   1 - RedZone               |
//|                   2 - RedZone     RL                  |
//|                                                                         |
//|ExtRZDinamicValue -    RL       |
//|                    RedZone                        |
//|ExtRZStaticValue -    RL        |
//|                   RedZone                          |
//|ExtRZDinamicColor -   RedZone         |
//|ExtRZStaticColor -   RedZone           |
//|                                                                         |
//|--------------    - ISL ------------------------|
//|                                                                         |
//|ExtISLDinamic -                         |
//|                                                |
//|ExtISLStyleDinamic -    ISL           |
//|ExtVisibleISLDinamic -            |
//|                      |
//|                                                                         |
//|ExtISLStatic  -                         |
//|                                                 |
//|ExtISLStyleStatic -    ISL             |
//|ExtVisibleISLStatic -             |
//|                       |
//|                                                                         |
//|ExtISLWidth -    ISL                                  |
//|                                                                         |
//|ExtISLChannelDinamicColor -                    |
//|         ISL .382  .618                   |
//|ExtISLChannelStaticColor  -                    |
//|         ISL .382  .618                    |
//|       ISL                                   |
//|                                                                         |
//|-------------   50%  - SLM (2)---------------------|
//|-------------   50%  - SLM (2)---------------------|
//|                                                                         |
//|ExtSLMDinamic -  SLM                    |
//|ExtSLMDinamicColor -   SLM            |
//|ExtSLMStatic -  SLM                      |
//|ExtSLMStaticColor -   SLM              |
//|                                                                         |
//|------------  FSL      (2)-------------------|
//|                                                                         |
//|ExtFSLShiffLinesDinamic                                                  |
//| = true -   FSL             |
//|ExtFSLShiffLinesDinamicColor -    FSL         |
//|ExtFSLShiffLinesStatic                                                   |
//| = true -   FSL              |
//|ExtFSLShiffLinesStaticColor -    FSL          |
//|                                                                         |
//|----           -----|
//|                                                                         |
//|ExtUTL -                        |
//|                                                                         |
//|ExtLTL -                         |
//|                                                                         |
//|ExtUWL -                              |
//|ExtVisibleUWL -                   |
//|                                                          |
//|                                                                         |
//|ExtLWL -                               |
//|ExtVisibleLWL -                    |
//|                                                          |
//|                                                                         |
//|ExtLongWL -                           |
//|                                                                         |
//|-------------------     -  PivotZone ---------------------|
//|                                                                         |
//|ExtPivotZoneDinamicColor -    . Pivot Zone    |
//|                                                                         |
//|ExtPivotZoneStaticColor -     Pivot Zone    |
//|                                                                         |
//|ExtPivotZoneFramework -  Pivot Zone    ( )     |
//|                                       |
//|                                                                         |
//|------------       ------------|
//|                                                                         |
//|ExtCustomStaticAP - true -            |
//|AutoMagnet -        |
//|AMBars -        ,       |
//|            .     |
//|                                              |
//|                                                                         |
//|------------       ---------------|
//|                                                                         |
//|ExtPitchforkCandle -           |
//|                                                                         |
//|ExtDateTimePitchfork_1, ExtDateTimePitchfork_2,                          |
//|ExtDateTimePitchfork_3 -     ,          |
//|                                                |
//|                                                                         |
//|ExtPitchfork_1_HighLow -          |
//|                         |
//|                                                                         |
//|-------------------------  -  ----------------------------------|
//|                                                                         |
//|ExtFiboFanDinamic -    -             |
//|                                                                         |
//|ExtFiboFanStatic -    -               |
//|                                      |
//|                                                                         |
//|ExtFiboFanD -    -                       |
//|                                                                         |
//|ExtFiboFanS -    -                        |
//|                                                                         |
//|ExtFiboFanExp -    . true=6, false=4             |
//|                                                                         |
//|ExtFiboFanHidden -     -          |
//|                                                                         |
//|ExtFiboFanMedianaDinamicColor                                           |
//|ExtFiboFanMedianaStaticColor -   -                 |
//|                                |
//|                                                                         |
//|----         -----------|
//|                                                                         |
//|ExtFiboTime1 -     1.                           |
//|                                                                         |
//|ExtFiboTime2 -     2.                           |
//|                                                                         |
//|ExtFiboTime3 -     3.                           |
//|                                                                         |
//|ExtFiboTime1C -      1.                      |
//|                                                                         |
//|ExtFiboTime2C -      2.                      |
//|                                                                         |
//|ExtFiboTime3C -      3.                      |
//|                                                                         |
//|ExtVisibleDateTime -           |
//|                                                                      |
//|                                                                         |
//|ExtVisibleNumberFiboTime -    Fibo Time,      |
//|                                   |
//|                                                                         |
//|                 1 -                        |
//|                 0 -                                          |
//|                                                                         |
//|                   -  Fibo Time 1                          |
//|                   -  Fibo Time 2                          |
//|                   -  Fibo Time 3                          |
//|                                                                         |
//|---------      -------------|
//|                                                                         |
//|ExtFiboFreePitchfork - true -           |
//|                         .                         |
//|                       false -        |
//|                       ZUP                         |
//|                                                                         |
//|ExtFiboFreeRLDinamic -         |
//|                                                |
//|ExtFiboFreeRLStatic -          |
//|                                                 |
//|                                                                         |
//|ExtFiboFreeISLDinamic           |
//|                            |
//|ExtFiboFreeISLStatic            |
//|                             |
//|                                                                         |
//|ExtFiboFreeUWL, ExtFiboFreeLWL            |
//|                                       |
//|                                                                         |
//|ExtFiboFreeFT1, ExtFiboFreeFT2, ExtFiboFreeFT3 -           |
//|                             Fibo Time                   |
//|                                                                         |
//|---------     ( ) -------------------------|
//|                                                                         |
//|     ,    m,     |
//|                                                     |
//|                                                                         |
//|mSelectVariantsPRZ -                        |
//| = 0 -   ""  ()                   |
//| > 0 -      ()              |
//|                                                          |
//| = 1 -   SSL                                             |
//| = 2 -                                            |
//| = 3 -   FSL                                             |
//| = 4 -                                       |
//| = 5 -                                           |
//| = 6 -   1/2                                      |
//| = 7 -    1/2                                |
//| = 8 -                                    |
//| = 9 -   UTL                                             |
//|                                                                         |
//|mTypeBasiclAP -                                       |
//| = 0 -                                 |
//| = 1 -                                |
//|                                                                         |
//|mTypeExternalAP -                                     |
//| = 0 -                    |
//|       ( )                                         |
//| = 1 -                                 |
//| = 2 -                                       |
//| = 3 -      ZUP         |
//| = 4 -      ZUP        |
//| = 5 -      ZUP               |
//| = 6 -    ,  ,    ZUP     |
//| = 7 -                                                   |
//|                                                                         |
//|mExternalHandAP -    ,         |
//|   ,             |
//| = 0 -         SSL/FSL  |
//| = 1 -    ,     |
//| = 2 -           |
//|                                                                         |
//|mAuto_d, mAuto_s -           |
//|                                                 |
//|                                                                         |
//|mSaveWL_TL -           |
//|                - UWL  LWL -              |
//|                - UTL  LTL          |
//|              true                                               |
//|                                                                         |
//|mOutRedZone -             |
//|                                                                     |
//|                                                                         |
//|mExitFSL_SSL = false -    UTL-LTL-UWL-LWL  |
//|                 FSL  SSL                                 |
//|                                                                         |
//|mPivotPoints -                                    |
//|mPivotPointsChangeColor - true -    PivotPoints        |
//|                                               |
//|                          false -     PivotPoints     |
//|                                                                         |
//|       0  9       |
//|                                                                         |
//|                                       |
//|mSSL - starting signal line (  )                 |
//|m1_2Mediana  1/2 median (50%- )                                 |
//|mISL382  internal signal line 38.2 (   38.2%)  |
//|mMediana  ()                                                     |
//|mISL618  internal signal line 61.8 (   61.8%)  |
//|mFSL     final signal line (  )                  |
//|mSLM       38.2  61.8 50%                        |
//|mFSLShiffLines -  FSL             |
//|mUTL  -   UTL                                            |
//|mLTL  -   LTL                                            |
//|mUWL  -                                              |
//|mLWL  -                                              |
//|                                                                         |
//|mCriticalPoints    50%-   ISL 38.2             |
//|                     .                         |
//|                                                                         |
//|       0  9           |
//|                                                                         |
//|                                      |
//|mSSL_d - starting signal line (  )               |
//|m1_2Mediana_d  1/2 median (50%- )                               |
//|mISL382_d  internal signal line 38.2 (   38.2%)|
//|mMediana_d  ()                                                   |
//|mISL618_d  internal signal line 61.8 (   61.8%)|
//|mFSL_d     final signal line (  )                |
//|mSLM_d     38.2  61.8 50%                        |
//|mFSLShiffLines_d -  FSL          |
//|                                                                         |
//|mCriticalPoints_d    50%-   ISL 38.2           |
//|                     .                         |
//|                                                                         |
//|mAllLevels - /                               |
//|mColorUP -                                  |
//|mColorDN -                                  |
//|mColor   -                                    |
//|mColorRectangleUP -                       |
//|mColorRectangleDN -                       |
//|mColorRectangle -                            |
//|mBack -                                         |
//|mBackZones -    ()                |
//|mLineZonesWidth -      8  9                   |
//|mVisibleST -               |
//|mVisibleISL -    ISL        |
//|mWriteToFile  -       *.csv                |
//|                  Price Label D |
//|                   Price Label S |
//|                                                                         |
//|mPeriodWriteToFile -   ,            |
//|                                           |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for micmed Channels"                          |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|  micmed'a                               |
//|                                                                         |
//|ExtCM_0_1A_2B_Static, ExtCM_0_1A_2B_Dinamic -  micmed'a.           |
//|                                             0-5     |
//|                                                                         |
//|ExtCM_FiboStatic, ExtCM_FiboDinamic -          |
//|                        micmed'a      |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for fibo Fan"                                 |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtFiboFanColor -     .        |
//|                                                                         |
//|ExtFiboFanNum -   ZigZag-a,             |
//|                   . 1<ExtFiboStaticNum<=9          |
//|                                                                         |
//|ExtFanStyle -                    |
//|                                                                         |
//|ExtFanWidth -                  |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for fibo Expansion"                           |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtFiboExpansion -  ,                 |
//|                 < 2                       |
//|                 = 2                       |
//|                 >2  <=9                  |
//|                                                                         |
//|ExtFiboExpansionColor -                |
//|                                                                         |
//|ExtExpansionStyle -              |
//|                                                                |
//|                                                                         |
//|ExtExpansionWidth -            |
//|                                                                |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for versum Levels"                            |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtVLDinamicColor -  Versum Levels        |
//|                                                                         |
//|ExtVLStaticColor -  Versum Levels         |
//|                                                                         |
//|ExtVLStaticNum -   ,                 |
//|                 Versum Levels                                           |
//|                                                                         |
//|ExtVLStyle -     Versum Levels             |
//|                                                                         |
//|ExtVLWidth -     Versum Levels           |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for fibo Arc"                                 |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtArcDinamicNum -    ZigZag                |
//|                                             |
//|                                                                         |
//|ExtArcStaticNum -    ZigZag                 |
//|                                              |
//|                                                                         |
//|ExtArcDinamicColor -                        |
//|                                                                         |
//|ExtArcStaticColor -                          |
//|                                                                         |
//|ExtArcDinamicScale -                     |
//|          0 - ; >0 -              |
//|                                                                         |
//|ExtArcStaticScale                         |
//|          0 - ; >0 -              |
//|                                                                         |
//|ExtArcStyle -                       |
//|                                                                         |
//|ExtArcWidth -                     |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Golden Spiral"                                           |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtSpiralNum -    ZigZag,                   |
//|                                                   |
//|                                                                         |
//|goldenSpiralCycle -    .   ,   |
//|                         .         |
//|                                                                         |
//|accurity -     ,           |
//|                                                                  |
//|                                                                         |
//|NumberOfLines     ,          |
//|                                                          |
//|                                                                         |
//|clockWiseSpiral -                    |
//|                  true -             |
//|                  false -        |
//|                                                                         |
//|spiralColor1 -                               |
//|                                                                         |
//|spiralColor2 -                               |
//|                                                                         |
//|ExtSpiralStyle -                           |
//|                                                                         |
//|ExtSpiralWidth -                         |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for Pivot ZigZag"                             |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtPivotZZ1Color -   Pivot ZigZag 1                            |
//|                                                                         |
//|ExtPivotZZ2Color -   Pivot ZigZag 2                            |
//|                                                                         |
//|ExtPivotZZ1Num -   ,    1         |
//|                  Pivot ZigZag                                           |
//|                                                                         |
//|ExtPivotZZ2Num -   ,    2         |
//|                  Pivot ZigZag                                           |
//|                                                                         |
//|ExtPivotZZStyle -     Pivot ZigZag         |
//|                                                                         |
//|ExtPivotZZWidth -     Pivot ZigZag       |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for Channels"                                 |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtTypeChannels -   .                                     |
//|                  1 -             |
//|                         .          |
//|                        .         |
//|                         ,        |
//|                                                                         |
//|                  2 -           |
//|                           .     |
//|                            1  9  |
//|                                                                         |
//|ExtTypeLineChannels -      .              |
//|                         0  3                       |
//|                                                                         |
//|ExtChannelsNum -    ,           |
//|                  .                                         |
//|                                                                         |
//|ExtLTColor -                                        |
//|ExtLCColor -                                         |
//|ExtLTChannelsStyle -                               |
//|ExtLTChannelsWidth -                             |
//|ExtLCChannelsStyle -                                |
//|ExtLCChannelsWidth -                              |
//|ExtRay -                           |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters for Fibo Time"                                |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtFiboTimeNum -   ,               |
//|                 ExtFiboTime,                  |
//|                                                                         |
//|ExtFiboTime1x-     1.                           |
//|                                                                         |
//|ExtFiboTime2x-     2.                           |
//|                                                                         |
//|ExtFiboTime3x-     3.                           |
//|                                                                         |
//|ExtFiboTime1Cx-      1.                      |
//|                                                                         |
//|ExtFiboTime2Cx-      2.                      |
//|                                                                         |
//|ExtFiboTime3Cx-      3.                      |
//|                                                                         |
//|ExtVisibleDateTimex-           |
//|                                                                      |
//|                                                                         |
//|ExtVisibleNumberFiboTimex-    Fibo Time,      |
//|                                   |
//|                                                                         |
//|                 1 -                        |
//|                 0 -                                          |
//|                                                                         |
//|                   -  Fibo Time 1                          |
//|                   -  Fibo Time 2                          |
//|                   -  Fibo Time 3                          |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Parameters Exp"                                          |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|chHL     = true     -                |
//|                      ExtIdicator=1, ExtIdicator=2, ExtIdicator=3        |
//|                                                                         |
//|PeakDet  = true     -            |
//|                       ExtIndicator                               |
//|                                                                         |
//|chHL_PeakDet_or_vts - true -               |
//|  ( )     ZigZag.    |
//| false -   i-vts.                                      |
//|                                                                         |
//|ExtLabel =0                                    |
//|         =1                  |
//|              DT -                          |
//|         =3                  |
//|              DT -                            |
//|                                                                         |
//|ExtCodLabel -                                    |
//|                                                                         |
//|NumberOfBars -    (0-)  i-vts.               |
//|                                                                         |
//|NumberOfVTS - ,   ,    i-vts.        |
//|                                                                         |
//|NumberOfVTS1 -      i-vts.              |
//|-------------------------------------------------------------------------|
//|                                                                         |
//|               "Common Parameters"                                       |
//|                                                                         |
//|-------------------------------------------------------------------------|
//|ExtFiboType - ,          |
//|                                                                         |
//|               0 -                                        |
//|               1 -      ..                       |
//|               2 - ,                            |
//|                                                                         |
//|ExtFiboTypeFree -    :                      |
//|                  1)                     |
//|                  2)                               |
//|                  3)                                          |
//|                  4)                                  |
//|                  6)                                              |
//|                                                                         |
//|ExtObjectColor -   ,       |
//|ExtObjectStyle -  c ,      |
//|ExtObjectWidth -   ,    |
//|                                                                         |
//|ExtDinamic -         |
//|                                 |
//|                           |
//|                                                                         |
//|ExtVisibleDinamic -  ,                  |
//|                                   |
//|                                                                         |
//|              11 .                                      |
//|                                                                         |
//|                   :                |
//|             1 -                                |
//|             2 -            |
//|             3 -     ,        |
//|             4 -                                     |
//|             5 -                                |
//|             6 -  Versum Levels                               |
//|             7 -                                      |
//|             8 -                                   |
//|             9 -  Pivot ZigZag                                |
//|             10 -                                                  |
//|             11 - Fibo Time                                              |
//|                                                                         |
//|               ExtVisibleDinamic = "01000000000"              |
//|             0 -                              |
//|             1 -                             |
//|                                                                         |
//|RefreshStaticNewRayZZ -       |
//|                          |
//|              .                                                |
//|                                                                         |
//|AutoTestRedZone -  = true                                            |
//|             ExtDinamic = true  ExtVisibleDinamic = "00100000000"       |
//|                      |
//|                                   |
//|                                                                         |
//|ZigZagHighLow - ,                      |
//|                 ,    ..                  |
//|            true -                                     |
//|            false -   ZigZag,     ""     |
//|                                                                         |
//|ExtSendMail -    email   .        |
//|                                                                         |
//|ExtAlert -                    |
//|              ZigZag                              |
//|                                                                         |
//|ExtPlayAlert -                |
//|                                                  |
//|                                                                         |
//|AlertText -                  |
//|                                                                         |
//|ExtBack -                                |
//|                                                                         |
//|ExtSave -                     |
//|          Fibo Time                                                      |
//|                                                                         |
//|info_comment -             |
//|                  .                           |
//|             5  .                                    |
//|            0 -                               |
//|            1 -                                 |
//|                                                                         |
//|             :                                           |
//|            1 -                     |
//|            2 - %                          |
//|            3 -                                         |
//|            4 -     Gartley                  |
//|            5 -    RL,            |
//|                RedZone            |
//|                                                                         |
//|infoMerrillPattern - true -                  |
//|                     false -               |
//|                                                                         |
//|infoTF -    5  .( )       |
//|           .    .      |
//|             .                   |
//|                .    |
//|               .        |
//|            Gartley         |
//|            D   Gartley.              |
//|            RedZone           |
//|         ExtRedZoneDinamic = 1  ExtRedZoneStatic = 1                    |
//|                                                                         |
//|                                      |
//|CursorLine -                 |
//|CLColor -                                     |
//|CLWidth -                                  |
//|CLStyle -                                    |
//|CLBack -       	                      |
//|                                                                         |
//|        Gartley     |
//|                                                           |
//|bigText -                |
//|                |
//|bigTextSize -                                          |
//|bigTextColor -    ( Gartley Bullish )         |
//|bigTextColorBearish -     Gartley Bearish    |
//|bigTextX -                    |
//|bigTextY -                      |
//|                                                                         |
//|ExtVisible -   ZUP                    |
//|ExtComplekt -   .        |
//|                    .      |
//|                     .    |
//+-------------------------------------------------------------------------+